mobileactivation_activate
mobileactivation_activate_with_session
mobileactivation_client_free
mobileactivation_client_new
mobileactivation_client_start_service
mobileactivation_client_t
mobileactivation_create_activation_info
mobileactivation_create_activation_info_with_session
mobileactivation_create_activation_session_info
mobileactivation_deactivate
mobileactivation_error_t
mobileactivation_get_activation_state
MOBILEACTIVATION_SERVICE_NAME

## mobileactivation_client_free()

LIBIMOBILEDEVICE_API mobileactivation_error_t mobileactivation_client_free | ( | mobileactivation_client_t | client | ) |

Disconnects a mobileactivation client from the device and frees up the mobileactivation client data.

Parameters

  client | The mobileactivation client to disconnect and free.

Returns
  MOBILEACTIVATION_E_SUCCESS on success, MOBILEACTIVATION_E_INVALID_ARG when one of client or client->parent is invalid, or MOBILEACTIVATION_E_UNKNOWN_ERROR when the was an error freeing the parent property_list_service client.